/*
Copyright (c) 2005-2008 TeamF1, Inc.
All rights reserved.
*/

var modeLst = ["131072,b only", "196608,g only", "212992,g and b"];
var chLst = ["Auto",
             "2.412GHz","2.417GHz","2.422GHz","2.427GHz","2.432GHz",
             "2.437GHz","2.442GHz","2.447GHz","2.452GHz","2.457GHz",
             "2.462GHz","2.467GHz","2.472GHz","2.484GHz"];

function wlNwObj (idx, region, chSt, chEnd, modeSt, modeEnd)
    {
    this.idx = idx;
    this.region = region;
    this.chSt = chSt;
    this.chEnd = chEnd;
    this.modeSt = modeSt;
    this.modeEnd = modeEnd;
    }

var wlNwObjLst = new Array();
wlNwObjLst[0]  = new wlNwObj (0, "None", 0, -1, 0, 2);
wlNwObjLst[1]  = new wlNwObj (1, "Africa", 1, 13, 0, 2);
wlNwObjLst[2]  = new wlNwObj (2, "Asia", 1, 13, 0, 2);
wlNwObjLst[3]  = new wlNwObj (3, "Australia", 1, 11, 0, 2);
wlNwObjLst[4]  = new wlNwObj (4, "Canada", 1, 11, 0, 2);
wlNwObjLst[5]  = new wlNwObj (5, "Europe", 1, 13, 0, 2);
wlNwObjLst[6]  = new wlNwObj (6, "France", 1, 13, 0, 2);
wlNwObjLst[7]  = new wlNwObj (7, "Japan", 1, 14, 0, 2);
wlNwObjLst[8]  = new wlNwObj (8, "Mexico", 1, 11, 0, 2);
wlNwObjLst[9]  = new wlNwObj (9, "South America", 1, 13, 0, 0);

function wlNwObjDisplay (wlNwObj)
    {
    if (!wlNwObj)
        return;

    wlNwObjInfo = wlNwObj.idx + "." +
                 wlNwObj.region + "\n";
    for (chIdx = wlNwObj.chSt;
         chIdx < (wlNwObj.chEnd - 1); ++chIdx)
         wlNwObjInfo += chIdx + " - " + chLst[chIdx] + ",";
    wlNwObjInfo += chIdx + " - " + chLst[chIdx] + "\n";
    for (modeIdx = wlNwObj.modeSt;
         modeIdx < (wlNwObj.modeEnd); ++modeIdx)
         wlNwObjInfo += modeLst[modeIdx] + ",";
    wlNwObjInfo += modeLst[modeIdx] + "\n";
    alert (wlNwObjInfo);
    }

function wlNwObjLstDisplay (wlNwObjLst)
    {
    var lstLen = wlNwObjLst.length;
    var wlNwObj = null;
    var wlNwObjInfo = null;
    var chIdx, chSt, chEnd, modeIdx, modeSt, modeEnd;
    if (isNaN (lstLen))
        return;
       
    for (var objIdx = 0; objIdx < lstLen; ++objIdx)
         wlNwObjDisplay (wlNwObjLst[objIdx]);
    }

function channelsAndModeUpdate (regIdx)
     {
     if (regIdx == null)
         return;

     var regObj = wlNwObjLst [regIdx];

     var chObj = document.getElementById ('selChannels');
     if (chObj && !chObj.disabled)
         {
         var opIdx = 0;
         chObj.options[0] = null;
         chObj.options[0] = new Option (chLst[0], 0, false, false);
          for (chIdx = regObj.chSt, opIdx = 1;
               chIdx <= regObj.chEnd; ++chIdx, ++opIdx)
             {
             chObj.options[opIdx] = null;
             chObj.options[opIdx] = new Option (chIdx + " - " + chLst[chIdx],
                                                chIdx, false, false);
             }
         /* free remaining options */
         var len = chObj.options.length;
         for (delIdx = opIdx; opIdx < len; ++opIdx)
             chObj.options[delIdx] = null;
         }

     var mdObj = document.getElementById ('selMode');
     if (mdObj && !mdObj.disabled)
         {
          for (mdIdx = regObj.modeSt, opIdx = 0;
               mdIdx <= regObj.modeEnd; ++mdIdx, ++opIdx)
             {
             var mdStr = modeLst[mdIdx];
             var mdText =  mdStr.substring (mdStr.indexOf(",") + 1);
             var mdValue = mdStr.substring (0, mdStr.indexOf(","));
             mdObj.options[opIdx] = null;
             mdObj.options[opIdx] = new Option (mdText, mdValue, false, false);
             } 
         /* free remaining options */
         var len = mdObj.options.length;
         for (delIdx = opIdx; opIdx < len; ++opIdx)
             mdObj.options[delIdx] = null;
         }
     }

function wlNwInit ()
    {
    /* wlNwObjLstDisplay (wlNwObjLst); */
    var regObj = document.getElementById ('selRegions');
    for (var opIdx=0; opIdx < wlNwObjLst.length; ++opIdx)
         {
         regObj.options [opIdx] = null;
         regObj.options [opIdx] = new Option (wlNwObjLst[opIdx].region,
                                              wlNwObjLst[opIdx].idx,
                                              false, false);
         }
    channelsAndModeUpdate (0);
    }
